using Earthblend.Nts.Common;
using Earthblend.Tts.Common.Core.Members;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;

[Serializable] public class WorldItemsExport : CustomBindableBase
{
    public List<VirtualWorld3DPluginDataItem> Items = new List<VirtualWorld3DPluginDataItem>();
}
[Serializable] public class PermutationRuleItemsExport : CustomBindableBase
{
    public List<PermutationRule> Items = new List<PermutationRule>();
}

[Serializable] public class TargetItemsExport : CustomBindableBase
{
    public List<TargetDefinition> Items = new List<TargetDefinition>();
}
[Serializable] public class CanvasItemsExport : CustomBindableBase
{
    private ObservableCollection<VirtualCanvasPluginDataItem> _items = new ObservableCollection<VirtualCanvasPluginDataItem>();
    public ObservableCollection<VirtualCanvasPluginDataItem> Items { get { return _items; } set { SetProperty(ref _items, value); } }

}